from django.shortcuts import render
from django.http import HttpResponse, HttpResponseNotFound, Http404


# Create your views here.

def index(request): # HttRequest
    return HttpResponse("Страница приложения women.")


def categories(request, cat_id):
    return HttpResponse(f"<h1>Статьи по категориям</h1><p>id: {cat_id}</p>")


def categories_by_slug(request, cat_slug):
    if request.GET:
        print(request.GET)
    return HttpResponse(f"<h1>Статьи по категориям</h1><p>slug: {cat_slug}</p>")


def archive(request, year):
    if year > 2025:
        raise Http404()
    return HttpResponse(f"<h1>Архив по годам</h1><p>{year}</p>")


def post_detail(request):
    if request.GET:
        ans = ""
        for key, value in request.GET.items():
            ans += f'{key}={value}|'
        return HttpResponse(ans[:-1])
    else:
        return HttpResponse("GET is empty")


def posts_list(request, year):
    if 1990 <= year <= 2023:
        return HttpResponse(f'posts: {year}')
    else:
        raise Http404()


def page_not_found(request, exception):
    return HttpResponseNotFound("<h1>Страница не найдена</h1>")